import { FC, TableHTMLAttributes, PropsWithChildren } from "react";
import { BooleanModifierProps } from "../modifiers/index.js";
export type TableProps = TableHTMLAttributes<HTMLTableElement> & Pick<BooleanModifierProps, "isBordered" | "isNarrow" | "isStriped" | "isFullwidth" | "isHoverable"> & Partial<{
    withContainer: boolean;
}>;
export declare const Table: FC<PropsWithChildren<TableProps>>;
//# sourceMappingURL=Table.d.ts.map